cluster / bulk-action
6 operations.
GET /cluster/bulk-action
ts
proxmox.cluster["bulk-action"].$get()List resource types.
Returns an array of object.
GET /cluster/bulk-action/guest
ts
proxmox.cluster["bulk-action"].guest.$get()Bulk action index.
Returns an array of object.
POST /cluster/bulk-action/guest/migrate
ts
proxmox.cluster["bulk-action"].guest.migrate.$post()Bulk migrate all guests on the cluster.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
max-workers | number | Defines the maximum number of tasks running concurrently. — min 1, max 64, default 1 | |
maxworkers | number | Defines the maximum number of tasks running concurrently. Deprecated, use 'max-workers' instead. — min 1, max 64, default 1 | |
online | boolean | Enable live migration for VMs and restart migration for CTs. | |
target | string | yes | Target node. — format pve-node |
vms | number[] | Only consider guests from this list of VMIDs. | |
with-local-disks | boolean | Enable live storage migration for local disk |
POST /cluster/bulk-action/guest/shutdown
ts
proxmox.cluster["bulk-action"].guest.shutdown.$post()Bulk shutdown all guests on the cluster.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
force-stop | boolean | Makes sure the Guest stops after the timeout. — default 1 | |
max-workers | number | Defines the maximum number of tasks running concurrently. — min 1, max 64, default 4 | |
maxworkers | number | Defines the maximum number of tasks running concurrently. Deprecated, use 'max-workers' instead. — min 1, max 64, default 4 | |
timeout | number | Default shutdown timeout in seconds if none is configured for the guest. — default 180 | |
vms | number[] | Only consider guests from this list of VMIDs. |
POST /cluster/bulk-action/guest/start
ts
proxmox.cluster["bulk-action"].guest.start.$post()Bulk start or resume all guests on the cluster.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
max-workers | number | Defines the maximum number of tasks running concurrently. — min 1, max 64, default 4 | |
maxworkers | number | Defines the maximum number of tasks running concurrently. Deprecated, use 'max-workers' instead. — min 1, max 64, default 4 | |
timeout | number | Default start timeout in seconds. Only valid for VMs. (default depends on the guest configuration). | |
vms | number[] | Only consider guests from this list of VMIDs. |
POST /cluster/bulk-action/guest/suspend
ts
proxmox.cluster["bulk-action"].guest.suspend.$post()Bulk suspend all guests on the cluster.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
max-workers | number | Defines the maximum number of tasks running concurrently. — min 1, max 64, default 4 | |
maxworkers | number | Defines the maximum number of tasks running concurrently. Deprecated, use 'max-workers' instead. — min 1, max 64, default 4 | |
statestorage | string | The storage for the VM state. — format pve-storage-id | |
to-disk | boolean | If set, suspends the guests to disk. Will be resumed on next start. — default 0 | |
vms | number[] | Only consider guests from this list of VMIDs. |